﻿@inject ISnackbar Snackbar
@inject UserAppState UserAppState

@implements IDisposable

<MudDialog>
    <DialogContent>
        <MudText Typo="Typo.h5">Change Password</MudText><br />
    </DialogContent>
    <DialogActions>
        <MudStack>
            <PasswordTextField @bind-Password="OldPassword" Label="Old Password" />
            <PasswordTextField @bind-Password="NewPassword1" Label="New Password" />
            <PasswordTextField @bind-Password="NewPassword2" Label="New Password (Again)" />
            <MudAlert Severity="@AlertSeverity" Dense="true" Class="my-2">@AlertStatusText</MudAlert>
            <MudText>@(Common.Spacer())</MudText>
            <MudStack Justify="Justify.FlexEnd" Row="true">
                <!-- Adding a text element of spaces to fix the width of the dialog -->
                    <MudButton Color="Color.Secondary" Disabled="@IsChangingPassword" OnClick="Cancel">Cancel</MudButton>
                <MudButton Color="Color.Primary" Disabled="@ChangePasswordDisabled" OnClick="ChangePassword">
                    @if (IsChangingPassword)
                    {
                        <MudProgressCircular Class="ms-n1" Size="Size.Small" Indeterminate="true" />
                    }
                    <MudText Class="ms-2">Change</MudText>
                </MudButton>
            </MudStack>
        </MudStack>
    </DialogActions>
</MudDialog>